<?php

namespace App\Http\Controllers;

use App\GrupoDeCompra;

class ComprasController
{
    public function indexPedidos() {
        return view('compras_pedidos');
    }

    public function descargarPedidos() {
        GrupoDeCompra::exportarTodosLosPedidosEnCSV();
        $file = resource_path('csv/exports/total-pedidos.csv');
        return response()->download($file);
    }
    
    public function descargarNotas() {
        GrupoDeCompra::exportarProductosConNotasEnCSV();
        $file = resource_path('csv/exports/pedidos-notas.csv');
        return response()->download($file);
    }

    public function show()
    {
        return view('auth/compras_login');
    }
}
